

<div class="container" *ngIf="!file" appFileDragAndDrop (fileDropped)="onFileDropped($event)" style="height: 150px;">
  <input type="file" #fileDropRef (change)="fileBrowseHandlerFile($event)" accept=".json"/>

  <div class="title-div">
    <!-- Le reste de votre code HTML -->
    <img class="upload-icon" src="{{imgSrc}}" alt="">

    <h4 class="title-upload" [class.zone-certification] = "zone === 'certification'">
      Drag {{message}}
    </h4>
    <a class="label">Upload from your computer</a>
  </div>

  <div class="max-size">
    <p>Size max: 10Go - Format {{acceptedTypeName}}</p>
  </div>
</div>

<div class="container uploaded uploaded-container" *ngIf="file" appFileDragAndDrop (fileDropped)="onFileDropped($event)" style="height: 150px;">
  <input type="file" #fileDropRef (change)="fileBrowseHandlerFile($event)" accept=".json"/>
		<!-- <div class="close-div"><mat-icon style="color: white;" (click)="deleteFile()">close</mat-icon></div> -->

	<div class="title-div" style="margin-top: 10px; margin-bottom: 10px;">
		<img class="upload-icon" src="assets/images/check-circle-white-big.svg" alt="">

		<h4 class="title-upload uploaded">
			Your {{message}}
		</h4>
		<h4 class="title-upload uploaded">
			{{file!.name}}
		</h4>
		<a class="label">Edit the file</a>
	</div>

	<div class="max-size uploaded">
		<p>Size max: 10Go - Format {{acceptedTypeName}}</p>
	</div>

</div>
<!-- <div class="files-list">
	<div class="single-file" *ngFor="let file of files; let i= index">
		<div class="file-icon" style="width: 50px">
			<mat-icon class="file-icon">description</mat-icon>

		</div>
		<div class="info">
			<h4 class="name">
				{{ file?.name }}
			</h4>
			<p class="size">
				{{ formatBytes(file?.size!) }}
			</p>
			<div class="progress-cont">
				<div class="progress" [style.width]="file.progress + '%'">
				</div>
			</div>
		</div>
		<div class="delete" (click)="deleteFile(i)">
			<mat-icon color="warn">delete</mat-icon>
		</div>
	</div>
</div> -->
<div class="btn-div">
	<!-- <button mat-raised-button color="primary"
		[disabled]="this.files.length === 0 || !this.files"
		type="submit" class="done-btn">
		<mat-icon>
			done
		</mat-icon>
		Upload
	</button> -->
</div>
